--works if placed into onevent - addon loaded


	    local CreateButton; do-- Prototype for function
    --  Tooltip Handlers
        local function OnEnter(self)
            if self.Tooltip then
                GameTooltip:SetOwner(self,"ANCHOR_TOP");
                GameTooltip:AddLine(self.Tooltip,0,1,0.5,1,1,1);
                GameTooltip:Show();
            end
        end
        local function OnLeave(self) if GameTooltip:IsOwned(self) then GameTooltip:Hide(); end end
     
    --  Button Generator (this will be assigned to the upvalue noted as a function prototype)
        function CreateButton(parent,name,texture,text,tooltip)
            tooltip=tooltip or text;--  If no tooltip, use button text
     
    --      Create our button
            local btn=CreateFrame("Button",name,parent,"SecureActionButtonTemplate");
            btn:RegisterForClicks("AnyUp");--   Register all buttons
            btn:SetSize(15,15);
     
    --      Setup button text
            btn:SetNormalFontObject("GameFontNormalSmall");
            btn:SetHighlightFontObject("GameFontHighlightSmall");
            btn:SetDisabledFontObject("GameFontDisableSmall");
            btn:SetText(text);
     
    --      Setup button's backgorund, you can use :SetNormalTexture() and other functions to set state-based textures
            local tex=btn:CreateTexture(nil,"BACKGROUND");
            tex:SetAllPoints(btn);
            tex:SetTexture(texture);
            btn.Texture=tex;
     
    --      Register handlersm
            btn:SetScript("OnEnter",OnEnter);
            btn:SetScript("OnLeave",OnLeave);
            btn.Tooltip=tooltip;
     
    --      Return our button
            return btn;
        end
    end
  
	local button=CreateButton(LBR,"LBRWorldMarkerButton1","Interface\\ICONS\\Racial_Dwarf_FindTreasure",nil,"Left click : Main UI\n Right-click: Loot history");
    button:SetPoint("TOPRIGHT",-120,-80);-- Anchors always default to an object's parent
    button:SetAttribute("type","macro");--  "type" without a number will handle all clicks unless a more specific attribute is found
    button:SetAttribute("macrotext1",SLASH_WORLD_MARKER1.." 1");--      Adds world marker 1 on left-click
    button:SetAttribute("macrotext2",SLASH_CLEAR_WORLD_MARKER1.." 1");--    Clears world marker 1 on right-click
	
	